Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXRootPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JRootPane
                      org.jdesktop.swingx.JXRootPane

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class JXRootPane

extends javax.swing.JRootPane

Extends the JRootPane by supporting specific placements for a toolbar and a status bar. If a status bar exists, then toolbars, menus will be registered with the status bar.

Author:
  Mark Davidson
See Also:
  `JXStatusBar`, Serialized Form

Nested Class Summary
`protected class` | `JXRootPane.XRootLayout` An extended `RootLayout` offering support for managing the status bar.

Nested classes/interfaces inherited from class javax.swing.JRootPane
`javax.swing.JRootPane.AccessibleJRootPane, javax.swing.JRootPane.RootLayout`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected JXStatusBar` | `statusBar` The current status bar for this root pane.

Fields inherited from class javax.swing.JRootPane
`COLOR_CHOOSER_DIALOG, contentPane, defaultButton, defaultPressAction, defaultReleaseAction, ERROR_DIALOG, FILE_CHOOSER_DIALOG, FRAME, glassPane, INFORMATION_DIALOG, layeredPane, menuBar, NONE, PLAIN_DIALOG, QUESTION_DIALOG, WARNING_DIALOG`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JXRootPane()` Creates an extended root pane.

Method Summary
`protected java.awt.Container` | `createContentPane()`
`protected java.awt.LayoutManager` | `createRootLayout()`
`javax.swing.JButton` | `getCancelButton()` Returns the value of the `cancelButton` property.
`JXStatusBar` | `getStatusBar()` Gets the currently installed status bar.
`javax.swing.JToolBar` | `getToolBar()` The currently installed tool bar.
`void` | `setCancelButton(javax.swing.JButton cancelButton)` Sets the `cancelButton` property, which determines the current default cancel button for this `JRootPane`.
`void` | `setJMenuBar(javax.swing.JMenuBar menuBar)`
`void` | `setLayout(java.awt.LayoutManager layout)`
`void` | `setStatusBar(JXStatusBar statusBar)` Set the status bar for this root pane.
`void` | `setToolBar(javax.swing.JToolBar toolBar)` Set the toolbar bar for this root pane.

Methods inherited from class javax.swing.JRootPane
`addImpl, addNotify, createGlassPane, createLayeredPane, getAccessibleContext, getContentPane, getDefaultButton, getGlassPane, getJMenuBar, getLayeredPane, getMenuBar, getUI, getUIClassID, getWindowDecorationStyle, isOptimizedDrawingEnabled, isValidateRoot, paramString, removeNotify, setContentPane, setDefaultButton, setDoubleBuffered, setGlassPane, setLayeredPane, setMenuBar, setUI, setWindowDecorationStyle, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### statusBar

    protected JXStatusBar statusBar

  The current status bar for this root pane.

Constructor Detail

### JXRootPane

    public JXRootPane()

  Creates an extended root pane.

Method Detail

### createContentPane

    protected java.awt.Container createContentPane()

  Overrides:
    `createContentPane` in class `javax.swing.JRootPane`

### setLayout

    public void setLayout(java.awt.LayoutManager layout)

  Overrides:
    `setLayout` in class `java.awt.Container`

### createRootLayout

    protected java.awt.LayoutManager createRootLayout()

  Overrides:
    `createRootLayout` in class `javax.swing.JRootPane`

### setStatusBar

    public void setStatusBar(JXStatusBar statusBar)

  Set the status bar for this root pane. Any components held by this root pane will be registered. If this is replacing an existing status bar then the existing component will be unregistered from the old status bar.

  Parameters:
    `statusBar` - the status bar to use

### getStatusBar

    public JXStatusBar getStatusBar()

  Gets the currently installed status bar.

  Returns:
    the current status bar

### setToolBar

    public void setToolBar(javax.swing.JToolBar toolBar)

  Set the toolbar bar for this root pane. If a tool bar is currently registered with this `JXRootPane`, then it is removed prior to setting the new tool bar. If an implementation needs to handle more than one tool bar, a subclass will need to override the singleton logic used here or manually add toolbars with `getContentPane().add`.

  Parameters:
    `toolBar` - the toolbar to register

### getToolBar

    public javax.swing.JToolBar getToolBar()

  The currently installed tool bar.

  Returns:
    the current tool bar

### setJMenuBar

    public void setJMenuBar(javax.swing.JMenuBar menuBar)

  Overrides:
    `setJMenuBar` in class `javax.swing.JRootPane`

### setCancelButton

    public void setCancelButton(javax.swing.JButton cancelButton)

  Sets the `cancelButton` property, which determines the current default cancel button for this `JRootPane`. The cancel button is the button which will be activated when a UI-defined activation event (typically the ESC key) occurs in the root pane regardless of whether or not the button has keyboard focus (unless there is another component within the root pane which consumes the activation event, such as a `JTextPane`). For default activation to work, the button must be an enabled descendant of the root pane when activation occurs. To remove a cancel button from this root pane, set this property to `null`.

  Parameters:
    `cancelButton` - the `JButton` which is to be the cancel button
  See Also:
    `getCancelButton()`

### getCancelButton

    public javax.swing.JButton getCancelButton()

  Returns the value of the `cancelButton` property.

  Returns:
    the `JButton` which is currently the default cancel button
  See Also:
    `setCancelButton(javax.swing.JButton)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.